div.flex {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

div.interface-modal {
    min-width: 320px;
    max-width: 1200px;
    width: 100%;
    margin: 0 auto;
    text-align: center;
    position: relative;
}

#modal {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#bg {
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background-color: rgba(0, 20, 59, .9);
    position: fixed;
    z-index: 9;
    display: block;
    /* display: none; */
}

.box {
    width: 100%;
    position: absolute;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    /* top: -410px; */
    z-index: 10;
    top: -60px;
}

#close_plan {
    color: #fff;
    font-family: 'proximaNova-extrBold', sans-serif;
    text-decoration: none;
    font-size: 35px;
    position: relative;
    background-color: #0e47d6;
    width: 40px;
    height: 40px;
    text-align: center;
    float: right;
    top: 40px;
    overflow: hidden;
    border-radius: 100px;
    z-index: 5;
    transition: .5s;
    -moz-transition: .5s;
    -webkit-transition: .5s;
    -o-transition: .5s;
}

#close_plan strong {
    position: relative;
    bottom: 2px;
}

#close_plan:hover {
    background-color: #2961f1;
    color: #e4e4e4;
}

#formulario {
    width: 320px;
    margin: 50px auto;
    text-align: center;
    position: relative;
}

ul#progress h1 {
    font-family: 'panton-bold', sans-serif;
    color: #fff;
    font-size: 30px;
    margin-bottom: 10px;
}

#formulario h3 {
    color: #333;
    font-size: 17px;
}

#formulario fieldset {
    background: #e9e9e9;
    border: 0 none;
    padding: 20px 5px;
    box-sizing: border-box;
    width: 100%;
    top: 180px;
    left: 0;
    right: 0;
    position: absolute;
}

#formulario fieldset.primeira-parte div.pergunta-1, #formulario fieldset.primeira-parte div.pergunta-2, #formulario fieldset.primeira-parte div.pergunta-3 {
    align-items: flex-start;
    margin: 20px 0;
}

#formulario fieldset.primeira-parte span {
    color: #1d1d1d;
    font-family: 'panton-bold', sans-serif;
    text-align: left;
    font-size: 18px;
    width: 300px;
}

#formulario fieldset.primeira-parte div.group-radios {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-self: flex-start;
    margin-top: 15px;
}

#formulario fieldset.primeira-parte div.group-radios label {
    margin-right: 20px;
    padding-left: 4px;
    font-family: 'panton-regular', sans-serif;
    color: #363636;
}
/* FINAL DA PRIMEIRA PARTE E INICIO DA SEGUNDA PARTE */

fieldset div.top-part-2 {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: #11307c;
    padding: 20px;
    border-radius: 20px;
}

fieldset div.top-part-2 div.plano-ideal h2 {
    font-family: 'proximanova-light', sans-serif;
    color: #ffcc00;
    font-size: 20px;
}

fieldset div.top-part-2 div.plano-ideal input#plano_ideal {
    font-family: 'proximanova-black', sans-serif;
    color: #fff;
    font-size: 50px;
    text-align: center;
    background-color: #11307c;
    width: 260px;
    border: 0 none;
    outline: 0;
}

fieldset div.top-part-2 div.plano-ideal {
    padding-bottom: 5px;
    border-bottom: 2px solid #ce3f08;
}

fieldset div.top-part-2 div.valor {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

fieldset div.top-part-2 div.valor p#valor_tot_recomendado {
    color: #fff;
    font-family: 'panton-regular', sans-serif;
    font-size: 32px;
    margin-top: 20px;
}

fieldset div.top-part-2 div.valor p#valor_tot_recomendado strong {
    color: #fff;
    font-family: 'panton-bold', sans-serif;
    font-size: 52px;
    margin-left: 5px;
}

fieldset div.top-part-2 div.valor input#btn-valor {
    color: #fff;
    font-family: 'panton-bold', sans-serif;
    font-size: 34px;
    width: 250px;
    background: #11307c;
    padding: 6px 0;
    outline: 0;
}

fieldset div.bttm-part-2 {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

fieldset div.bttm-part-2 span.titulo-bttm {
    font-size: 22px;
    font-family: 'panton-regular', sans-serif;
    color: #4c4c4c;
    margin: 20px 0;
}

fieldset div.bttm-part-2 div.planos, fieldset div.bttm-part-2 div.planos div.plan { 
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

fieldset div.bttm-part-2 div.planos div.plan { 
    margin: 20px 0;
}

fieldset div.bttm-part-2 div.planos div.plan h1 { 
    display: flex;
    flex-direction: column;
    font-family: 'panton-bold', sans-serif;
    font-size: 55px;
    color: #fff;
    background-color: #062187;
    padding: 20px 22px;
    border-radius: 15px 15px 0 0;
}

fieldset div.bttm-part-2 div.planos div.plan h1.last { 
    padding: 20px 20px 20px 19px;
}

fieldset div.bttm-part-2 div.planos div.plan h1.last2 { 
    padding: 20px 18px;
}

fieldset div.bttm-part-2 div.planos div.plan h1 span { 
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 20px;
    margin-top: 5px;
    height: 45px;
}

fieldset div.bttm-part-2 div.planos div.plan h1 span img.plus-icon { 
    width: 20px;
    margin-right: 5px;
}

fieldset div.bttm-part-2 div.planos div.plan h1 span img.serv-icon { 
    width: 100px;
    margin-left: 8px;
}

fieldset div.bttm-part-2 div.planos div.plan div.vlr-pln { 
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 266px;
    background-color: #fff;
    border-radius: 0 0 15px 15px;
    color: #4c4c4c;
}
fieldset div.bttm-part-2 div.planos div.plan div.vlr-pln:first-of-type { 
    padding: 10px 15px;
}

fieldset div.bttm-part-2 div.planos div.plan div.vlr-pln span { 
    font-family: 'panton-regular', sans-serif;
    font-size: 34px;
    margin: 10px 0 2px;
}

fieldset div.bttm-part-2 div.planos div.plan div.vlr p {
    font-family: 'panton-regular', sans-serif;
    font-size: 30px;
}

fieldset div.bttm-part-2 div.planos div.plan div.vlr p strong {
    font-family: 'panton-bold', sans-serif;
    font-size: 50px;
}

fieldset div.bttm-part-2 div.planos div.plan div.vlr-pln label {
    float:left;
    width:130px;
    margin:4px;
    background-color:#11307c;
    border-radius:20px;
    overflow:auto;
    cursor: pointer;
}

fieldset div.bttm-part-2 div.planos div.plan div.vlr-pln label span {
    text-align:center;
    font-size: 22px;
    padding: 0 0 8px;
    display:block;
    font-family: 'panton-bold', sans-serif;
    color: #fff;
    cursor: pointer;
}

fieldset div.bttm-part-2 div.planos div.plan div.vlr-pln label span:hover {
    color: #777777;
}

fieldset div.bttm-part-2 div.planos div.plan div.vlr-pln label input {
    position:absolute;
    top:-20px;
    display: none;
    cursor: pointer;
}

fieldset div.bttm-part-2 div.planos div.plan div.vlr-pln input:checked + span {
    color: #777777;
}

fieldset div.bttm-part-2 div.aviso {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    align-items: flex-end;
    width: 100%;
    padding: 10px 0;
}

fieldset div.bttm-part-2 div.aviso p {
    text-align: right;
    font-style: italic;
    font-family: 'proximanova-light', sans-serif;
}


/* FINAL DA SEGUNDA PARTE E INICIO DA TERCEIRA */

fieldset div.falta-pouco {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 15px 0 20px;
}

fieldset div.falta-pouco span.pouco {
    text-align: left;
    color: #737373;
    font-family: 'panton-bold', sans-serif;
    font-size: 22px;
}

fieldset div.falta-pouco span.pouco strong {
    font-size: 32px;
}

fieldset div.infos {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

fieldset div.infos input {
    border: 1px solid #c3c7c8;
    padding: 12px 30px;
    border-radius: 20px;
    margin: 5px 0;
    outline: 0;
}

fieldset div.infos input:last-of-type {
    margin-bottom: 30px;
}

/* FINAL DA TERCEIRA PARTE */

#formulario fieldset:not(:first-of-type) {
    display: none;
}

#formulario .acao {
    width: 100px;
    background: #062187;
    color: #fff;
    font-weight: bold;
    padding: 12px 0;
    float: right;
    margin-right: 5%;
    border-radius: 20px;
    border: none;
}

#formulario .acao:hover {
    background: #a3d7eb;
    cursor: pointer;
}

#formulario #progress {
    margin-bottom: 30px;
    overflow: hidden;

    counter-reset: step;
}

div.prog {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 40px 0 10px;
    margin-bottom: 30px;
    z-index: -2;
    border-top-right-radius: 20px;
    background-color: #11307c;
}

#formulario #progress li {
    list-style-type: none;
    color: #fff;
    text-transform: uppercase;
    font-size: 10px;
    float: left;
    width: 33.33%;
    position: relative;
    font-family: 'panton-regular', sans-serif;
    font-size: 15px;
}

#formulario #progress li:before {
    content: counter(step);
    counter-increment: step;
    width: 20px;
    display: block;
    line-height: 20px;
    background: #ffffff;
    color: #000;
    border: 1px solid #22409a;
    border-radius: 10px;

    margin: 0 auto 10px auto;
}

#formulario #progress li:after {
    content: '';
    width: 100%;
    background: #fff;
    height: 2px;
    position: absolute;
    top: 9px;
    left: -50%;
    z-index: -1;
}

#formulario #progress li:first-of-type:after { 
    content: none;
}

#formulario #progress li:first-of-type { 
    content: none;
}


#formulario #progress li.ativo:before, #formulario #progress li.ativo:after { 
    background: #22409a ;
    color: #fff;
    text-shadow: 0 1px 0;
}

@media screen and (min-width:768px){
    .box {
        top: 10px;
    }

    #close_plan {
        font-size: 60px; 
        width: 60px; 
        height: 60px; 
        top: 30px;
        left: 20px;
        margin-top: -40px
    }
    
    #close_plan strong {
        bottom: 5px;
    }
    
    #formulario {
        width: 700px;
        margin: 50px auto;
        text-align: center;
        position: relative;
    }

    ul#progress {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: center;
        width: 700px;
    }
    
    ul#progress h1 {
        font-size: 35px;
        margin-bottom: 0;
        margin-right: 50px;
    }

    #formulario #progress li {
        font-size: 15px;
        width: 8%;
        left: 30px;
    }

    #formulario fieldset {
        top: 112px;
    }

    #formulario fieldset.primeira-parte div.pergunta-1, #formulario fieldset.primeira-parte div.pergunta-2,     #formulario fieldset.primeira-parte div.pergunta-3 {
        align-items: flex-start;
        margin: 25px 0;
    }

    #formulario fieldset.primeira-parte span {
        font-size: 20px;
        width: 600px;
    }

    #formulario fieldset.primeira-parte div.group-radios {
        margin-top: 20px;
    }

    #formulario fieldset.primeira-parte input#btn-next-pergunta, #formulario fieldset.segunda-parte input#btn-next-plan, #formulario fieldset.terceira-parte input#btn-next-falta {
        width: 120px;
        font-size: 18px;
        outline: 0;
    }

    /* FINAL DA PRIMEIRA PARTE E INICIO DA SEGUNDA PARTE */

    
    fieldset div.top-part-2 {
        flex-direction: row;
        padding: 25px 50px;
        border-radius: 30px;
    }

    fieldset div.top-part-2 div.plano-ideal {
        padding-bottom: unset;
        padding-right: 30px;
        border-bottom: unset;
        border-right: 2px solid #ce3f08;
    }

    fieldset div.top-part-2 div.valor {
        position: relative;
        margin-left: 40px;
        bottom: 10px;
    }

    fieldset div.bttm-part-2 {
        flex-direction: column;
    }

    fieldset div.bttm-part-2 span.titulo-bttm {
        margin: 40px 0 20px;
    }

    fieldset div.bttm-part-2 div.planos { 
        flex-direction: row;
        flex-wrap: wrap;
    }

    fieldset div.bttm-part-2 div.planos div.plan { 
        margin: 20px 5px;
    }
    /* FINAL DA SEGUNDA PARTE E COMEÇO DA TERCEIRA */

    fieldset.terceira-parte div.flex {
        flex-direction: row;
    }

    fieldset div.falta-pouco {
        flex-direction: column;
        margin: 40px 0;
        position: relative;
        right: 30px;
    }

    fieldset div.falta-pouco span.pouco {
        font-size: 37px;
    }

    fieldset div.falta-pouco span.pouco strong {
        font-size: 47px;
    }

    fieldset div.infos {
        position: relative;
        left: 30px;
    }

    fieldset div.infos input {
        border: 1px solid #c3c7c8;
        padding: 15px 10px;
        width: 240px;
        font-size: 18px;
        outline: 0;
    }

    fieldset div.infos input:last-of-type {
        margin-bottom: 0;
    }

    #formulario fieldset.terceira-parte input#btn-next-falta{
        position: relative;
        bottom: 40px;
        right: 10px;
        outline: 0;
    }

/* FINAL DA TERCEIRA PARTE */

}

@media screen and (min-width:1024px) {
    
    
    #formulario {
        width: 950px;
    }

    ul#progress {
        width: 950px;
    }    

    fieldset div.infos input {
        width: 300px;
    }

    #formulario fieldset.terceira-parte input#btn-next-falta{
        right: 85px;
    }
}